## libtheora 1.0.tk1

=== debian/changelog ===
libtheora (1.0.tk1) unstable; urgency=low

  * New upstream version: 1.0.

 -- Tuomas Kulve <tuomas@kulve.fi>  Fri, 26 Dec 2008 14:02:35 +0200

libtheora (1.0beta3-1.tk1) unstable; urgency=low

  * DEB_BUILD_OPTIONS=vfp,softfp,arm1136j-s
  * Removed graphviz dependency.
  * Disabled examples.

 -- Tuomas Kulve <tuomas@kulve.fi>  Fri, 25 Apr 2008 18:01:35 +0300

libtheora (1.0~beta3-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Wed, 23 Apr 2008 14:08:37 -0400

libtheora (1.0~beta2-4) unstable; urgency=low

  * Build-depend on libpng12-dev and pkg-config, and include
    png2theora in libtheora-bin. closes: #471660.

 -- Clint Adams <schizo@debian.org>  Wed, 19 Mar 2008 11:10:22 -0400

libtheora (1.0~beta2-3) unstable; urgency=low

  * Fix watch file to handle alpha/beta tarballs.
  * Bump to Standards-Version 3.7.3.
  * Add symbols files for alpha, amd64, arm, hppa, hurd-i386, i386, ia64,
    m68k, mips, mipsel, powerpc, s390, and sparc.
  * Build-depend on dpkg (>= 1.14.8).

 -- Clint Adams <schizo@debian.org>  Sun, 06 Jan 2008 00:59:13 -0500

libtheora (1.0~beta2-2) unstable; urgency=low

  * Apply patch from Sebiastien Bacher to enable libtheora-bin
    package.  closes: #452441, #258694, #294457.

 -- Clint Adams <schizo@debian.org>  Thu, 22 Nov 2007 17:48:03 -0500

libtheora (1.0~beta2-1) unstable; urgency=low

  * New upstream beta release.  closes: #446485.
  * Change XS-VCS-Bzr header to VCS-Bzr.

 -- Clint Adams <schizo@debian.org>  Sat, 13 Oct 2007 08:25:38 -0400

libtheora (1.0~beta1-1) unstable; urgency=low

  * New upstream beta release.
    - Remove upstream_r12376-amd64_unpack_comment_crash.diff.
  * Change Source-Version to binary:Version.

 -- Clint Adams <schizo@debian.org>  Sat, 22 Sep 2007 14:56:16 -0400

libtheora (0.0.0.alpha7.dfsg-2) unstable; urgency=medium

  * Add upstream_r12376-amd64_unpack_comment_crash.diff to fix
    64-bit cleanness problem.  closes: #383793.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Jan 2007 11:22:57 -0500

libtheora (0.0.0.alpha7.dfsg-1.1) unstable; urgency=low

  * NMU
  * Remove draft RFC files, as they are not under a free license.
    Closes: #390665
  * Repackage the source package without these files.
  * Add README.Source documenting how the upstream source is repackages.

 -- Joey Hess <joeyh@debian.org>  Sun, 15 Oct 2006 17:11:31 -0400

libtheora (0.0.0.alpha7-1) unstable; urgency=low

  * New upstream version (1.0alpha7).

 -- Clint Adams <schizo@debian.org>  Sat, 24 Jun 2006 18:06:53 -0400

libtheora (0.0.0.alpha6-1) unstable; urgency=low

  * New upstream version (1.0alpha6).  closes: #369843. 
  * Bump Standards-Version to 3.7.2.
  * Steal text from the FAQ for libtheora0's description.
    closes: #257100.

 -- Clint Adams <schizo@debian.org>  Sat,  3 Jun 2006 13:37:20 -0400

libtheora (0.0.0.alpha5-1) unstable; urgency=low

  * New upstream version (1.0alpha5).
  * Switch maintenance to the Debian Xiph.org Maintainers (alioth/pkg-xiph).
  * Bump Standards-Version to 3.6.2.
  * Change patchsys to quilt, and add build-dep on quilt.
  * Update autotools patch for new upstream version.
  * Change build-dep from automake1.6 to automake1.9.

 -- Clint Adams <schizo@debian.org>  Thu, 19 Jan 2006 22:02:56 -0500

libtheora (0.0.0.alpha4-1.1) unstable; urgency=high

  * NMU, because an FTBFS keeps it out from testing
  * fixed the build things (closes: #300422, #290465, #297816)
  * created libtheora-bin package (but disabled it)
  	- since it is only a wishlist and new queue is large enough
        - see debian/control.bin...

 -- RISKO Gergely <risko@debian.org>  Fri,  1 Apr 2005 19:43:07 +0200

libtheora (0.0.0.alpha4-1) unstable; urgency=low

  * New upstream.

 -- Christopher L Cheney <ccheney@debian.org>  Thu, 17 Mar 2005 21:40:00 -0600

libtheora (0.0.0.alpha3-1) unstable; urgency=low

  * Initial upload to Debian.

 -- Christopher L Cheney <ccheney@debian.org>  Tue, 29 Jun 2004 22:00:00 -0500

libtheora (0.0.0-0) unstable; urgency=low

  * Initial Release.

 -- Christopher L Cheney <ccheney@debian.org>  Wed, 25 Sep 2002 21:00:00 -0500
