=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/buildcore.mk

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --disable-encode --disable-examples \
			--disable-oggtest --disable-vorbistest \
			 --disable-sdltest --disable-float

# Use vfp.
ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mfpu=vfp
endif

# Use softfp.
ifneq (,$(findstring softfp,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mfloat-abi=softfp
endif

# Use arm1136j-s.
ifneq (,$(findstring arm1136j-s,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mcpu=arm1136j-s
endif

common-configure-arch common-configure-indep:: debian/stamp-autotools-files
debian/stamp-autotools-files:
	$(DEB_BUILDDIR)/autogen.sh
	touch debian/stamp-autotools-files

binary-install/libtheora-dev::
	rm -f $(DEB_BUILDDIR)/debian/libtheora-dev/usr/share/doc/libtheora-dev/doxygen-build.stamp

binary-install/libtheora-bin::
	for i in $(DEB_BUILDDIR)/debian/libtheora-bin/usr/bin/*; do strip -s $$i; mv $$i $(DEB_BUILDDIR)/debian/libtheora-bin/usr/bin/theora_`basename $$i`; done

clean::
	rm -f mkinstalldirs debian/stamp/autotools-files Makefile.in aclocal.m4 configure doc/Makefile.in examples/Makefile.in include/Makefile.in include/theora/Makefile.in lib/Makefile.in debian/Makefile.in
	$(MAKE) -f debian/rules reverse-config
