## libtheora 1.1beta3.tk1

=== debian/changelog ===
libtheora (1.1beta3.tk1) unstable; urgency=low

  * New upstream release: 1.1beta3

 -- Tuomas Kulve <tuomas@kulve.fi>  Sat, 19 Sep 2009 15:58:18 +0300
