=== debian/rules ===
--- 
+++ 
@@ -4,24 +4,9 @@
 include /usr/share/cdbs/1/class/autotools.mk
 include /usr/share/cdbs/1/rules/buildcore.mk
 
-DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/usr --disable-encode --disable-examples \
+DEB_CONFIGURE_EXTRA_FLAGS = --disable-examples \
 			--disable-oggtest --disable-vorbistest \
-			 --disable-sdltest --disable-float
-
-# Use vfp.
-ifneq (,$(findstring vfp,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mfpu=vfp
-endif
-
-# Use softfp.
-ifneq (,$(findstring softfp,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mfloat-abi=softfp
-endif
-
-# Use arm1136j-s.
-ifneq (,$(findstring arm1136j-s,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -mcpu=arm1136j-s
-endif
+			 --disable-sdltest --disable-float \
 
 common-configure-arch common-configure-indep:: debian/stamp-autotools-files
 debian/stamp-autotools-files:
