## libtheora 1.1.1%2Bdfsg.1

=== debian/changelog ===
libtheora (1.1.1+dfsg.1-16.1+rb1) unstable; urgency=medium

  * Rebuild

 -- Han Gao <gaohan@iscas.ac.cn>  Mon, 17 Jul 2023 20:12:53 +0000

libtheora (1.1.1+dfsg.1-16.1) unstable; urgency=medium

  * Non-maintainer upload by the Reproducible Builds team.
  * debian/libtheora-doc.examples: do not install example Makefile as it leaks
    the build path. Closes: #990843 - thanks to Vagrant Cascadian for the
    patch.
  * debian/rules: ensure texlive respects SOURCE_DATE_EPOCH, thanks again to
    Vagrant for the patch. Closes: #990844

 -- Holger Levsen <holger@debian.org>  Thu, 06 Oct 2022 19:18:29 +0200

libtheora (1.1.1+dfsg.1-16) unstable; urgency=medium

  * Team upload.

  [ Florian Schlichting ]
  * Drop autoreconf from dh call, obsolete at this compat level

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Debian Janitor ]
  * Apply multi-arch hints. + libtheora-doc: Add Multi-Arch: foreign.
  * Remove constraints unnecessary since buster
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop transition for old debug package migration.

  [ Dennis Braun ]
  * Update rules, no need to override dh_strip anymore

  [ Boyuan Yang ]
  * debian/control: Unify comma in build-dep list.
  * debian/: Apply wrap-and-sort -abst.
  * Drop useless build-deps: dpkg, automake, libtool, devscripts,
    texlive-fonts-recommended. (Closes: #981655)
  * debian/control: Bump Standards-Version to 4.6.1.
  * Apply patch from Ubuntu:

  [ Steve Langasek ]
  * Make autopkgtests cross-test-friendly.
  * Better autopkgtest support:
    - we need the target valgrind on cross-testing, not the testbed
      valgrind.
    - fix the compile test to use the right paths.

 -- Boyuan Yang <byang@debian.org>  Wed, 01 Jun 2022 09:41:32 -0400

libtheora (1.1.1+dfsg.1-15) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Set Vcs-* to salsa.debian.org

  [ Florian Schlichting ]
  * Set Maintainer address to Debian Multimedia Maintainers (closes: #899589)
  * Use secure URIs for xiph.org and theora.org
  * Update d/copyright to copyright-format 1.0
  * Bump dh compat to level 12
  * Enable all hardening build flags
  * Use Files-Excluded field instead of README.source for automatic repacking
  * Add Build-Depends-Package field to symbols file
  * Transition to automatic dbgsym package
  * Build-depend on libvorbis-dev only once
  * Adjust doc-base paths to policy-recommended doc-main-package
  * Declare compliance with Debian Policy 4.3.0

 -- Florian Schlichting <fsfs@debian.org>  Sun, 24 Feb 2019 22:58:12 +0100

libtheora (1.1.1+dfsg.1-14) unstable; urgency=medium

  * Add libvorbis-dev as build and test dependency to get all required
    headers installed.
  * Drop quilt from build dependencies and dh call.

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 27 May 2016 08:39:40 +0200

libtheora (1.1.1+dfsg.1-13) unstable; urgency=medium

  * Added build-essential to the test dependencies, to make sure compilation
    of test program is possible.

 -- Petter Reinholdtsen <pere@debian.org>  Thu, 26 May 2016 09:02:16 +0200

libtheora (1.1.1+dfsg.1-12) unstable; urgency=medium

  * Added missing libcairo2-dev as build dependency.  Needed by
    telemetry code.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 25 May 2016 14:46:32 +0200

libtheora (1.1.1+dfsg.1-11) unstable; urgency=medium

  * Adjust autopkgtest setup, allow output from stderr to work with 'set -x'.
  * Added valgrind as autopkgtest dependency to get more details if
    something fail.
  * Fix typo in autopkgtest control file.  No comma between test names.
  * Enable telemetry support for those that need it (LP: #627854).

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 25 May 2016 12:11:48 +0200

libtheora (1.1.1+dfsg.1-10) unstable; urgency=medium

  * Extend autopkgtest scripts a bit, and test example binaries too.
  * Add gbp setup to enforce the use of pristine-tar.
  * Changed Standards-Version from 3.9.6 to 3.9.8
  * Set CONFIG_SHELL=/bin/sh in d/rules to make build reproducible.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 24 May 2016 23:33:59 +0200

libtheora (1.1.1+dfsg.1-9) unstable; urgency=medium

  * Added Ralph Giles as uploader.
  * Added simple autopkgtest script to verify that building and linking work.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 24 May 2016 15:22:49 +0200

libtheora (1.1.1+dfsg.1-8) unstable; urgency=medium

  * Fix arch-independent build. (Closes: #806063)
  * Drop unused build dependency python, to make it easier to
    cross-build package.  (Closes: #794591)
  * Acknowledge 1.1.1+dfsg.1-7.1 NMU. (Closes: #812478)

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 07 Feb 2016 10:51:32 +0000

libtheora (1.1.1+dfsg.1-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with libpng16 (Closes: #809949)
  * Drop python from B-D for easier cross building (Closes: #794591)

 -- Tobias Frost <tobi@debian.org>  Sat, 23 Jan 2016 18:44:30 +0100

libtheora (1.1.1+dfsg.1-7) unstable; urgency=low

  [ Martin Steghöfer ]
  * Tag existing patches properly and use git-buildpackage patch queue
    for all our patches.
  * Fix FTBFS with new LaTeX.
    Thanks to Ralph Giles (Closes: #790442)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 22 Sep 2015 12:24:50 +0200

libtheora (1.1.1+dfsg.1-6) unstable; urgency=low

  [ Martin Steghöfer ]
  * Add missing -lm to player-example.  Thanks to Simon
    McVittie (Closes: #768685)

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 11 Nov 2014 14:46:22 +0100

libtheora (1.1.1+dfsg.1-5) unstable; urgency=low

  * Switch to source format 3.0 (quilt).

 -- Petter Reinholdtsen <pere@debian.org>  Fri, 24 Oct 2014 15:17:50 +0200

libtheora (1.1.1+dfsg.1-4) unstable; urgency=low

  [ Martin Steghöfer ]
  * Updated VCS meta information to list git repository.

  [ Petter Reinholdtsen ]

