## libtheora 1.1.1+dfsg.1

=== debian/changelog ===
libtheora (1.1.1+dfsg.1-16.1+deb12u1) bookworm; urgency=medium

  * Team upload.

  * Added patches fixing issues found using GCC sanitize.
  * Acknowledge NMU 1.1.1+dfsg.1-16.1.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 29 Jun 2025 09:09:19 +0200
