=== debian/rules ===
#!/usr/bin/make -f

CONFIG_SHELL = /bin/sh
export CONFIG_SHELL
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Ensure texlive respects SOURCE_DATE_EPOCH
export FORCE_SOURCE_DATE=1

%:
	dh $@

# Enable Telemetry debugging information (LP: #627854), see
# <URL: https://people.xiph.org/~xiphmont/demo/theora/demo2.html >
override_dh_auto_configure:
	dh_auto_configure -- --enable-telemetry

override_dh_install-arch:
	dh_install
	for i in debian/libtheora-bin/usr/bin/*; do \
		mv $$i debian/libtheora-bin/usr/bin/theora_`basename $$i`; \
	done

override_dh_installdocs:
	dh_installdocs README AUTHORS

override_dh_autoreconf:
	dh_autoreconf autoreconf -- -i -f -I m4
